Update recipient

This endpoint is used to update information for an existing payout recipient.

Important

You can only update a recipient record if the request is accepted by the payout provider associated with the recipientId.

Note

For the payout provider Interchecks, if you pass a value for one of the recipientIdNumbers parameters when creating a new recipient, you cannot update any recipient information with this endpoint.

In the case that a value has been passed for the recipientIdNumbers and you are wanting to change information for an existing Interchecks recipient, contact Interchecks to update the recipient's information.

Try It

To use the Try It feature for this endpoint, you must use the credentials for your Sandbox API user.

Include at least a recipienId and recipient firstName and lastName.

Request parameters

  • recipientId
  • firstName
  • lastName
  • recipientIdNumbers
  • recipientIdNumbers.governmentId
  • recipientIdNumbers.passportId
  • recipientIdNumbers.employerId
  • recipientIdNumbers.driversLicenseId
  • providerId
  • recipientRef
  • email
  • userType
  • gender
  • birthDate
  • countryOfBirth
  • countryOfNationality
  • country
  • currency
  • addressType
  • addressLine1
  • addressLine2
  • city
  • region
  • postalCode
  • phoneNumber
  • phoneNumberCountry
  • mobileNumber
  • mobileNumberCountry

Response parameters

  • payoutAccountId
  • providerId
  • recipientId
  • recipientRef
  • email
  • firstName
  • lastName
  • providerType
  • providerRecipientRef
  • userType
  • addressLine1
  • addressLine2
  • city
  • region
  • postalCode
  • country
  • phoneNumber
  • mobileNumber
  • countryOfBirth
  • countryOfNationality
  • gender
  • birthDate
  • recipientRulesMetadata
  • recipientRulesMetadata.id
  • recipientRulesMetadata.recipientId
  • recipientRulesMetadata.metadata
  • recipientRulesMetadata.createdAt
  • recipientRulesMetadata.updatedAt
  • recipientIdNumbers
  • recipientIdNumbers.governmentId
  • recipientIdNumbers.passportId
  • recipientIdNumbers.employerId
  • recipientIdNumbers.driversLicenseId
  • createdAt
  • updatedAt
Body Params
integer
required

The Nexio ID for the recipient.

string
required
length ≤ 200

The recipient's first name. For testing purposes with the Mock Payout account, you can trigger a timeout error by sending firstName with a value of timeout. You can trigger a server error by sending firstName with a value of server (along with the appropriate value for lastName).

string
required
length ≤ 200

The recipient's last name. For testing purposes with the Mock Payout account, you can trigger a server error by sending lastName with a value of error (along with the appropriate value for firstName).

recipientIdNumbers
object

Contains any specified IDs for the recipient.

integer

The Nexio ID for the provider. Indicates which payout provider to associate with this recipient profile. If no providerId is specified in the request, the system uses the first listed payout provider for the merchant account.

For information about the possible providers and provider IDs for your account, contact Integrations Support.

string
length ≤ 100

Payer's unique reference value for the recipient. This allows for easier synchronization and searching across different systems.

string
length ≤ 200

The recipient's email address. This must be unique to the specified payout provider (where the provider is indicated in the providerId parameter).

string
enum

The user type associated with the recipient.

Allowed:
string
enum

The recipient's gender.

Allowed:
string

The recipient's date of birth.

Use any of the following formats for the date:

  • Four-digit year and two-digit month and day, separated with hyphens: YYYY-MM-DD.
    For example, 2001-08-26
  • ISO-8601 date expressed in UTC.
    For example, 2001-08-26T13:35:00Z
  • UNIX date (as an integer representing seconds).
    For example, 998854500
string
length ≤ 50

The two-character (Alpha-2) ISO code for the country where the recipient was born.

string
length ≤ 50

The two-character (Alpha-2) ISO code for the recipient's country of citizenship or nationality.

string
length ≤ 2

The two-character (Alpha-2) ISO country code for the recipient's address.

string
length ≤ 3

The three-character ISO currency code for the payout to the specified recipient.

string
enum

The type of address associated with this recipient for the specified address information.

Allowed:
string
length ≤ 200

The recipient's street address.

string
length ≤ 200

Additional information about the recipient's street address.

string
length ≤ 50

The recipient's city.

string
length ≤ 50

The recipient's state, province, or region.

string
length ≤ 20

The recipient's postal code.

string
length ≤ 20

The recipient's phone number.

string
length ≤ 50

The country associated with the recipient's phone number.

string
length ≤ 20

The recipient's mobile phone number.

string
length ≤ 50

The country associated with the mobile phone number.

Responses

Language
Credentials
Basic
base64
:
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json